package com.plannaplan.types;

/**
 * GroupType contains types: LECTURE, CLASS, LAB, SEMINAR, CONSERVATORY, PRATICE
 */

public enum GroupType {
    LECTURE("Wykład"), CLASS("Ćwiczenia"), LAB("Laboratorium"), SEMINAR("Seminarium"), CONSERVATORY("Konwersatorium"),
    PRATICE("Praktyka");

    public final String type;

    private GroupType(String type) {
        this.type = type;
    }

    /**
     * @param type as string
     * @return Enum converted from provided string
     */
    public final static GroupType getType(String type) {
        for (GroupType d : values()) {
            if (d.type.equals(type)) {
                return d;
            }
        }
        return null;
    }

    /**
     * @param type group type to check
     * @return general convertion to bring down tours to two generals LECTURE and
     *         CLASS. To class are included: CLASS, LAB, SEMINAR, CONSERVATORY,
     *         PRATICE.
     */
    public final static GroupType isLectureOrClass(GroupType type) {
        return type == GroupType.LECTURE ? GroupType.LECTURE : GroupType.CLASS;
    }
}