package com.plannaplan.responses.models;

import com.plannaplan.entities.User;

import io.swagger.annotations.ApiModel;

/**
 * Model for api response for user serach results.
 */
@ApiModel(description = "Response shows information about user.", value = "UserResponse")
public class UserResponse {

    private Long id;
    private String name;
    private String surname;
    private String email;

    /**
     * @param user entity to be mapped to api response
     */
    public UserResponse(User user) {
        this.id = user.getId();
        this.name = user.getName() != null ? user.getName() : "";
        this.surname = user.getSurname() != null ? user.getSurname() : "";
        this.email = user.getEmail();
    }

    /**
     * @return user email
     */
    public String getEmail() {
        return email;
    }

    /**
     * @return user surname
     */
    public String getSurname() {
        return surname;
    }

    /**
     * @return user name
     */
    public String getName() {
        return name;
    }

    /**
     * @return db id
     */
    public Long getId() {
        return id;
    }

}
